import 'package:flutter/material.dart';

class PanicCenteredScrollCard extends StatelessWidget {
  final Widget child;

  PanicCenteredScrollCard({@required this.child});

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
      builder: (context, constraints) {
        MediaQueryData mqd = MediaQuery.of(context);
        Size size = mqd.size;

        return SingleChildScrollView(
          child: ConstrainedBox(
            constraints: BoxConstraints(
              minHeight: constraints.maxHeight,
            ),
            child: Center(
              child: Padding(
                padding: EdgeInsets.symmetric(
                  horizontal: mqd.orientation == Orientation.portrait ? 8.0 : size.width < 512 ? 8 : size.width / 3.5,
                  vertical: 16.0,
                ),
                child: Card(
                  elevation: 8.0,
                  child: Padding(
                    padding: const EdgeInsets.all(16.0),
                    child: child,
                  ),
                ),
              ),
            ),
          ),
        );
      },
    );
  }
}
